#include "rplot.h"

int
main()
{
  RFigure *fig;
  RAxes *axes;
  RColor red(255, 0, 0);
  RColor green(0, 255, 0);
  float x[] = {-200, -20, 10, -30};
  float y[] = {-90, -60, 30, 60};
	int i;

//  fig = new RFigure(500, 500, BITMAP_8BIT);
  fig = new RFigure(500, 500, POSTSCRIPT, &cout);
  fig->clear();
  fig->axis(1, 1, 9, 9);
  axes = new RAxes(fig, 2, 2, 8, 8);
  axes->axis(-100, -100, 100, 100);
  axes->box();
  axes->clipbox_to_axis();
  axes->polygon(4, x, y, red);
  for (i = 0; i < 4; ++i) {
	axes->rectangle(x[i], y[i], x[i]+10, y[i]+10, green);
  }
  fig->write_png("test.png");

  delete axes;
  delete fig;

  return 0;
}
